import React from 'react'
import { useSelector } from 'react-redux'
import { useRouter } from '@tarojs/taro'

export default (props) => {
  const { person, ...extInfo } = useSelector(s => s.user.userInfo)
  const router = useRouter()

  return person && person.personId
    ? React.cloneElement(props.children, { person, router, ...extInfo })
    : null
}
